> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch 3D

> Fetch Queued generated response.

<Note>
  This endpoint does not generate new images, it returns already generated/queued images.
</Note>

## Request

Send a `POST` request to below endpoint to return the corresponding queued images.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/3d/fetch/{id}' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key"
}
```


## OpenAPI

````yaml POST /fetch/{id}
openapi: 3.0.0
info:
  title: ModelsLab Enterprise 3D API
  description: API endpoints for managing 3D generation services on ModelsLab Enterprise
  version: 1.0.0
  contact:
    name: ModelsLab Support
    url: https://modelslab.com
servers:
  - url: https://modelslab.com/api/v1/enterprise/3d
    description: Production server
security: []
tags:
  - name: 3D Generation
    description: Endpoints for managing 3D content generation
  - name: Management
    description: Endpoints for managing your dedicated server
paths:
  /fetch/{id}:
    post:
      tags:
        - 3D Generation
      summary: Fetch 3D Response
      description: >-
        Fetch queued generated response. This endpoint returns already
        generated/queued images and does not generate new images.
      operationId: fetch3DResponse
      parameters:
        - name: id
          in: path
          required: true
          description: The ID returned with the image URL upon generation
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    ApiKeyRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your enterprise API key used for request authorization
          example: enterprise_api_key
    FetchResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - error
          description: Status of the request
        id:
          type: integer
          description: The ID of the generated content
          example: 12202888
        output:
          type: array
          items:
            type: string
            format: uri
          description: Array of URLs for the generated content
          example:
            - >-
              https://pub-8b49af329fae499aa563997f5d4068a4.r2.dev/generations/e5cd86d3-7305-47fc-82c1-7d1a3b130fa4-0.png
      required:
        - status
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - error
          example: error
        message:
          type: string
          description: Error message explaining what went wrong
        error_code:
          type: string
          description: Specific error code for debugging
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad request - Invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized - Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not found - Resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````